
package IBusiness.delegate.soap.mail;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceException;
import javax.xml.ws.WebServiceFeature;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.9-b130926.1035
 * Generated source version: 2.2
 * 
 */
@WebServiceClient(name = "WSMailService", targetNamespace = "http://wsmail.afcepf.fr", wsdlLocation = "http://localhost:7979/WSMail-1.0/WSMail?wsdl")
public class WSMailService
    extends Service
{

    private final static URL WSMAILSERVICE_WSDL_LOCATION;
    private final static WebServiceException WSMAILSERVICE_EXCEPTION;
    private final static QName WSMAILSERVICE_QNAME = new QName("http://wsmail.afcepf.fr", "WSMailService");

    static {
        URL url = null;
        WebServiceException e = null;
        try {
            url = new URL("http://localhost:7979/WSMail-1.0/WSMail?wsdl");
        } catch (MalformedURLException ex) {
            e = new WebServiceException(ex);
        }
        WSMAILSERVICE_WSDL_LOCATION = url;
        WSMAILSERVICE_EXCEPTION = e;
    }

    public WSMailService() {
        super(__getWsdlLocation(), WSMAILSERVICE_QNAME);
    }

    public WSMailService(WebServiceFeature... features) {
        super(__getWsdlLocation(), WSMAILSERVICE_QNAME, features);
    }

    public WSMailService(URL wsdlLocation) {
        super(wsdlLocation, WSMAILSERVICE_QNAME);
    }

    public WSMailService(URL wsdlLocation, WebServiceFeature... features) {
        super(wsdlLocation, WSMAILSERVICE_QNAME, features);
    }

    public WSMailService(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public WSMailService(URL wsdlLocation, QName serviceName, WebServiceFeature... features) {
        super(wsdlLocation, serviceName, features);
    }

    /**
     * 
     * @return
     *     returns IWSMail
     */
    @WebEndpoint(name = "WSMailPort")
    public IWSMail getWSMailPort() {
        return super.getPort(new QName("http://wsmail.afcepf.fr", "WSMailPort"), IWSMail.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns IWSMail
     */
    @WebEndpoint(name = "WSMailPort")
    public IWSMail getWSMailPort(WebServiceFeature... features) {
        return super.getPort(new QName("http://wsmail.afcepf.fr", "WSMailPort"), IWSMail.class, features);
    }

    private static URL __getWsdlLocation() {
        if (WSMAILSERVICE_EXCEPTION!= null) {
            throw WSMAILSERVICE_EXCEPTION;
        }
        return WSMAILSERVICE_WSDL_LOCATION;
    }

}
